<form [formGroup]="form" fxLayout="column">
    <mat-expansion-panel>
        <mat-expansion-panel-header>
            <ng-container formGroupName="role">
                <mat-form-field fxFlex="50" *ngIf="editRoleName" appearance="outline" subscriptSizing="dynamic">
                    <input
                            type="text"
                            matInput
                            formControlName="name"
                            [matAutocomplete]="roleAuto"
                            (click)="$event.stopPropagation()"
                            (keydown.space)="$event.stopPropagation()"/>
                    <button mat-icon-button matSuffix (click)="updateRole(); $event.stopPropagation()">
                        <fa-icon [icon]="['fas', 'check-circle']"></fa-icon>
                    </button>
                </mat-form-field>
                <mat-autocomplete #roleAuto="matAutocomplete" (optionSelected)="updateRole($event.option.value)">
                    <mat-option *ngFor="let option of roleFilteredOptions$ | async" [value]="option">
                        {{option.name}}
                    </mat-option>
                </mat-autocomplete>
            </ng-container>
            <mat-panel-title *ngIf="!editRoleName">
                {{form.value.role.name}} ({{nonEmptyArtists()}}/{{form.value.artists.length}})
            </mat-panel-title>
        </mat-expansion-panel-header>
        <div fxLayout="column" fxFlex>
            <app-artist-form
                    *ngFor="let artist of getArtistsFormGroup(); let i = index"
                    [index]="i"
                    [form]="artist"
                    [role]="currentRoleName()"
                    [series]="currentSeriesName()"
                    (action)="handleAction($event)">
            </app-artist-form>
        </div>
        <mat-action-row>
            <button mat-stroked-button color="primary" aria-label="Add artist" (click)="addArtist()">
                {{'BOOK.FORM.CONTRACT.ARTIST.NEW' | translate}}
            </button>
            <button mat-stroked-button color="warn" aria-label="Remove contract" (click)="removeContract()">
                {{'BOOK.FORM.CONTRACT.REMOVE' | translate}}
            </button>
            <button mat-stroked-button color="warn" aria-label="Rename contract role" [disabled]="this.editRoleName"
                    (click)="this.editRoleName = true">
                {{'BOOK.FORM.CONTRACT.RENAME' | translate}}
            </button>
        </mat-action-row>
    </mat-expansion-panel>
</form>
